For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tasks

List All Tasks

get

Returns a list of existing, non-archived tasks for a specific program.

Path parameters
AccountSIDstringRequired
ProgramIdintegerRequired

The ID of the program to retrieve tasks from.

Query parameters
TypestringOptional

Filter tasks by one or more comma-separated task types. For compliance violations, use COMPLIANCE. Values match the Type field in the Task response.

Example: COMPLIANCE
SubtypeNamestringOptional

Filter tasks by one or more comma-separated subtype names. Requires the Type parameter. For compliance violations, common values are Search, Promo, Social, and Content. Passing an unrecognized subtype returns a validation error.

Example: Content
DateCreatedAfterstring · date-timeOptional

Only return tasks created on or after this date (ISO 8601).

DateCreatedBeforestring · date-timeOptional

Only return tasks created on or before this date (ISO 8601).

DateLastUpdatedBeforestring · date-timeOptional

Only return tasks updated before this date (ISO 8601).

DateLastUpdatedAfterstring · date-timeOptional

Only return tasks updated after this date (ISO 8601).

Responses
200

A paginated list of task objects.

application/json
get/Advertisers/{AccountSID}/Programs/{ProgramId}/Tasks
GET /Advertisers/{AccountSID}/Programs/{ProgramId}/Tasks HTTP/1.1
Host: api.impact.com
Accept: */*
200

A paginated list of task objects.

{
  "Tasks": [
    {
      "Id": "3562529",
      "Reference": {
        "PartnerId": 2552842,
        "PartnerValue1": "vip",
        "PartnerValue2": "north-america",
        "PartnerValue3": "tennis"
      },
      "Details": {
        "Summary": "Acme Rewards Card Update",
        "Description": "The Acme Rewards Card APR has changed, please update your ads to reflect this new value.",
        "Urgent": true,
        "State": "INPROGRESS",
        "Type": "COMPLIANCE",
        "SubtypeId": "275",
        "SubtypeName": "Content",
        "ResolutionId": "",
        "ResolutionName": ""
      },
      "Attachments": [
        {
          "Id": "task_1223456_988957a0-e0ed-4f16-984b-f5a9259e6be7",
          "Filename": "acme_reward_card_details.pdf",
          "Location": "https://cdn.example.com/task_123456_988957a0-e0ed-4f16-984b-f5a9259e6be7.pdf"
        }
      ],
      "DueDate": "2021-08-31T04:00:00.000+0000",
      "AssigneeUser": {
        "Username": "Wile E. Coyote",
        "EmailAddress": "wilecoyote@example.com"
      },
      "AssigneeAccount": "Acme Partners",
      "TotalActions": 0,
      "Actions": [],
      "TotalComments": 1,
      "Comments": [
        {
          "Id": 98765,
          "Comment": "I've updated our home page with the latest ads, see attached screenshot.",
          "Commenter": "Wile E. Coyote",
          "Attachments": [
            {
              "Id": "task_1223456_988957a0-e0ed-4f16-984b-f5a9259e6be7",
              "Filename": "acme_reward_card_details.pdf",
              "Location": "https://cdn.example.com/task_123456_988957a0-e0ed-4f16-984b-f5a9259e6be7.pdf"
            }
          ]
        }
      ],
      "DateCreated": "2021-08-18T16:47:21.000+0000",
      "DateLastUpdated": "2021-08-18T22:45:42.000+0000",
      "CreatedBy": {
        "Username": "Wile E. Coyote",
        "EmailAddress": "wilecoyote@example.com"
      },
      "LastUpdatedBy": {
        "Username": "Wile E. Coyote",
        "EmailAddress": "wilecoyote@example.com"
      }
    }
  ]
}

Get Task Details

get

Retrieves the details of an existing task by its unique ID.

Path parameters
AccountSIDstringRequired
ProgramIdintegerRequired
TaskIdintegerRequired

The unique identifier for the task.

Responses
200

A single task object.

application/json
IdstringOptionalExample: 3562529
DueDatestring · date-timeOptional

Date and time at which the task is due. Displayed in ISO 8601 format.

Example: 2021-08-31T04:00:00.000+0000
AssigneeAccountstringOptional

Name of the partner account that the task is assigned to.

Example: Acme Partners
TotalActionsintegerOptional

Total number of actions that have been recorded for this task.

Example: 0
TotalCommentsintegerOptional

Total number of comments that have been recorded for this task.

Example: 1
DateCreatedstring · date-timeOptional

The date and time the task was created.

Example: 2021-08-18T16:47:21.000+0000
DateLastUpdatedstring · date-timeOptional

The date and time the task was last updated.

Example: 2021-08-18T22:45:42.000+0000
get/Advertisers/{AccountSID}/Programs/{ProgramId}/Tasks/{TaskId}
GET /Advertisers/{AccountSID}/Programs/{ProgramId}/Tasks/{TaskId} HTTP/1.1
Host: api.impact.com
Accept: */*
200

A single task object.

{
  "Id": "3562529",
  "Reference": {
    "PartnerId": 2552842,
    "PartnerValue1": "vip",
    "PartnerValue2": "north-america",
    "PartnerValue3": "tennis"
  },
  "Details": {
    "Summary": "Acme Rewards Card Update",
    "Description": "The Acme Rewards Card APR has changed, please update your ads to reflect this new value.",
    "Urgent": true,
    "State": "INPROGRESS",
    "Type": "COMPLIANCE",
    "SubtypeId": "275",
    "SubtypeName": "Content",
    "ResolutionId": "",
    "ResolutionName": ""
  },
  "Attachments": [
    {
      "Id": "task_1223456_988957a0-e0ed-4f16-984b-f5a9259e6be7",
      "Filename": "acme_reward_card_details.pdf",
      "Location": "https://cdn.example.com/task_123456_988957a0-e0ed-4f16-984b-f5a9259e6be7.pdf"
    }
  ],
  "DueDate": "2021-08-31T04:00:00.000+0000",
  "AssigneeUser": {
    "Username": "Wile E. Coyote",
    "EmailAddress": "wilecoyote@example.com"
  },
  "AssigneeAccount": "Acme Partners",
  "TotalActions": 0,
  "Actions": [],
  "TotalComments": 1,
  "Comments": [
    {
      "Id": 98765,
      "Comment": "I've updated our home page with the latest ads, see attached screenshot.",
      "Commenter": "Wile E. Coyote",
      "Attachments": [
        {
          "Id": "task_1223456_988957a0-e0ed-4f16-984b-f5a9259e6be7",
          "Filename": "acme_reward_card_details.pdf",
          "Location": "https://cdn.example.com/task_123456_988957a0-e0ed-4f16-984b-f5a9259e6be7.pdf"
        }
      ]
    }
  ],
  "DateCreated": "2021-08-18T16:47:21.000+0000",
  "DateLastUpdated": "2021-08-18T22:45:42.000+0000",
  "CreatedBy": {
    "Username": "Wile E. Coyote",
    "EmailAddress": "wilecoyote@example.com"
  },
  "LastUpdatedBy": {
    "Username": "Wile E. Coyote",
    "EmailAddress": "wilecoyote@example.com"
  }
}

Last updated